SDL_InsertTrayEntryAt(3)

NAME
SDL_InsertTrayEntryAt - Insert a tray entry at a given position.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_TrayEntry * SDL_InsertTrayEntryAt(SDL_TrayMenu *menu, int pos, const char *label, SDL_TrayEntryFlags flags);

DESCRIPTION
If label is NULL, the entry will be a separator. Many functions won't work for an entry that is a separator.

An entry does not need to be destroyed; it will be destroyed with the tray.

FUNCTION PARAMETERS

menu
    the menu to append the entry to.

pos the desired position for the new entry. Entries at or following this place will be moved. If pos is -1, the entry is appended.

label
    the text to be displayed on the entry, in UTF-8 encoding, or NULL for a separator.

flags
    a combination of flags, some of which are mandatory.

RETURN VALUE
( SDL_TrayEntry
 *) Returns the newly created entry, or NULL if pos is out of bounds.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_TrayEntryFlags(3type), •(3), SDL_GetTrayEntries(3), •(3), SDL_RemoveTrayEntry(3), •(3), SDL_GetTrayEntryParent(3)